## ide-source-snippets ide-source-snippets |

## Functions

#define | IDE_TYPE_SOURCE_SNIPPETS
void | ide_source_snippets_add ()
void | ide_source_snippets_clear ()
void | ide_source_snippets_merge ()
guint | ide_source_snippets_count ()
IdeSourceSnippets * | ide_source_snippets_new ()
void | ide_source_snippets_foreach ()

## Types and Values

| IdeSourceSnippets

## Object Hierarchy

        GObject
        ╰── IdeSourceSnippets

## Description

## Functions

### IDE_TYPE_SOURCE_SNIPPETS

    #define IDE_TYPE_SOURCE_SNIPPETS (ide_source_snippets_get_type())

### ide_source_snippets_add ()

    void
    ide_source_snippets_add (IdeSourceSnippets *snippets,
                             IdeSourceSnippet *snippet);

### ide_source_snippets_clear ()

    void
    ide_source_snippets_clear (IdeSourceSnippets *snippets);

### ide_source_snippets_merge ()

    void
    ide_source_snippets_merge (IdeSourceSnippets *snippets,
                               IdeSourceSnippets *other);

### ide_source_snippets_count ()

    guint
    ide_source_snippets_count (IdeSourceSnippets *self);

### ide_source_snippets_new ()

    IdeSourceSnippets *
    ide_source_snippets_new (void);

### ide_source_snippets_foreach ()

    void
    ide_source_snippets_foreach (IdeSourceSnippets *snippets,
                                 const gchar *prefix,
                                 GFunc foreach_func,
                                 gpointer user_data);

#### Parameters

foreach_func | A callback to execute for each snippet. | [scope call]

## Types and Values

### IdeSourceSnippets

    typedef struct _IdeSourceSnippets IdeSourceSnippets;